import { int, sqliteTable as table, text } from "drizzle-orm/sqlite-core";

export const publisherTable = table("publisher", {
  id: int().primaryKey({ autoIncrement: true }),
  name: text().notNull().unique(),
  url: text().notNull().unique(),
});

export const sourceTable = table("source", {
  id: int().primaryKey({ autoIncrement: true }),
  name: text().notNull().unique(),
  url: text().notNull().unique(),
  publisherId: int("publisher_id").references(() => publisherTable.id),
});

